package com.iformall.service.kw;


import com.github.pagehelper.PageInfo;
import com.iformall.domain.po.KwMeter;

import java.util.List;

public interface KwMeterService {



    /**
     * 根据实体查询分页列表
     *
     * @param record
     * @param pageIndex
     * @param pageSize
     * @return
     */
    PageInfo<KwMeter> listAsPage(KwMeter record, Integer pageIndex, Integer pageSize);


    /**
     * 根据Id获得实体
     *
     * @param id
     * @return
     */
    KwMeter getById(Long id);

    /**
     * 保存或更新实体
     *
     * @param record
     */
    void saveOrUpdate(KwMeter record);

    /**
     * 根据Id删除实体
     *
     * @param id
     */
    void deleteById(Long id);


    /**
     * 根据实体查询分页列表
     *
     * @param record
     * @return
     */
    List<KwMeter> findList(KwMeter record);

    List<KwMeter> findVoList(KwMeter record);

    int selectCount(KwMeter record);

    int bind(Long boxId, Long meterId);

    int bindBatch(Long boxId, List<Long> meterIds);

    int unbind(Long meterId);

    int unbindBatch(Long boxId);

    int onlineBatch(List<KwMeter> record);

    int offlineBatch(KwMeter record);

}